<bugID>1283355<Summary>is there potential for signature analysis of existing add-ons based on factors making them likely to break with e10s</Summary><Description>This is exploratory.  Starting conversation with billm to see if there are any markers or ways to predict when e10s non-friendly CPOWs come into play.  Common good or bad signatures that can be seen on AMO without waiting for Gecko to run to flag them.

Including Andreas (theone), Philipp (fallen), and Jorgev for their expertise in AMO.

aside: someone mentioned that there had been talk of running validation in a VM (idea from a different project) that might be an applicable solution, if dynamic analysis is the only option.

The end goal is to be able to make an intelligent predication on how the mass of add-ons that have not been marked either way for MPC flag will behave.  Is it mostly going to be OK with a few failures?  Is there a way to be certain of what will fail in advance, flag them as not-compliant, and just deploy to all add-ons except not-compliant?  Or does it look really uncertain - so we should only deploy to MCP OK flagged add-ons or webextension based ones.</Description></bugID>